com.opensymphony.xwork2.config

## Class FileManagerProvider

- java.lang.Object
- - com.opensymphony.xwork2.config.FileManagerProvider

- All Implemented Interfaces:
    ContainerProvider

      public class FileManagerProvider
      extends Object
      implements ContainerProvider

  Allows to specify custom `FileManager` by user

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileManagerProvider(Class<? extends FileManager> fileManagerClass, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Called before removed from the configuration manager
    `void` | `init(Configuration configuration)` Initializes with the configuration
    `boolean` | `needsReload()` Tells whether the ContainerProvider should reload its configuration
    `void` | `register(ContainerBuilder builder, LocatableProperties props)` Registers beans and properties for the Container

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileManagerProvider

          public FileManagerProvider(Class<? extends FileManager> fileManagerClass,
                                     String name)

  - ### Method Detail

    - #### destroy

          public void destroy()

      Description copied from interface: `ContainerProvider`
      Called before removed from the configuration manager
      Specified by:
        `destroy` in interface `ContainerProvider`

    - #### init

          public void init(Configuration configuration)
                    throws ConfigurationException

      Description copied from interface: `ContainerProvider`
      Initializes with the configuration
      Specified by:
        `init` in interface `ContainerProvider`
      Parameters:
        `configuration` - The configuration
      Throws:
        `ConfigurationException` - If anything goes wrong

    - #### needsReload

          public boolean needsReload()

      Description copied from interface: `ContainerProvider`
      Tells whether the ContainerProvider should reload its configuration
      Specified by:
        `needsReload` in interface `ContainerProvider`
      Returns:
        `true`, whether the ContainerProvider should reload its configuration, `false`otherwise.

    - #### register

          public void register(ContainerBuilder builder,
                               LocatableProperties props)
                        throws ConfigurationException

      Description copied from interface: `ContainerProvider`
      Registers beans and properties for the Container
      Specified by:
        `register` in interface `ContainerProvider`
      Parameters:
        `builder` - The builder to register beans with
        `props` - The properties to register constants with
      Throws:
        `ConfigurationException` - If anything goes wrong

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.